//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2014.08.29 at 12:55:12 PM CEST 
//


package net.ihe.gazelle.goc.xmm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for anonymous complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{xmm}ownedComment"/&gt;
 *         &lt;element ref="{xmm}specification"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="constrainedElement" use="required" type="{http://www.w3.org/2001/XMLSchema}NCName" /&gt;
 *       &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}NCName" /&gt;
 *       &lt;attribute ref="{xmm}id"/&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 *
 * @author Abderrazek Boufahja
 * @version $Id: $Id
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "ownedComment",
    "specification"
})
@XmlRootElement(name = "ownedRule")
public class OwnedRule {

    @XmlElement(required = true, namespace="")
    private OwnedComment ownedComment;
    @XmlElement(required = true, namespace="")
    private Specification specification;
    @XmlAttribute(name = "constrainedElement", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NCName")
    private String constrainedElement;
    @XmlAttribute(name = "name", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NCName")
    private String name;
    @XmlAttribute(name = "id", namespace = "http://schema.omg.org/spec/XMI/2.1")
    private String id;
    @XmlTransient
    private OwnedRuleType ownedRuleType;
    
    @XmlTransient
    private OwnedRuleKind ownedRuleKind;

    /**
	 * @return the ownedRuleType
	 */
	public OwnedRuleType getOwnedRuleType() {
		return ownedRuleType;
	}

	/**
	 * @param ownedRuleType the ownedRuleType to set
	 */
	public void setOwnedRuleType(OwnedRuleType ownedRuleType) {
		this.ownedRuleType = ownedRuleType;
	}

	/**
	 * @return the ownedRuleKind
	 */
	public OwnedRuleKind getOwnedRuleKind() {
		return ownedRuleKind;
	}

	/**
	 * @param ownedRuleKind the ownedRuleKind to set
	 */
	public void setOwnedRuleKind(OwnedRuleKind ownedRuleKind) {
		this.ownedRuleKind = ownedRuleKind;
	}

	/**
     * Gets the value of the ownedComment property.
     *
     * @return a {@link net.ihe.gazelle.goc.xmm.OwnedComment} object.
     */
    public OwnedComment getOwnedComment() {
        return ownedComment;
    }

    /**
     * Sets the value of the ownedComment property.
     *
     * @param value
     *     allowed object is
     *     {@link net.ihe.gazelle.goc.xmm.OwnedComment}
     */
    public void setOwnedComment(OwnedComment value) {
        this.ownedComment = value;
    }

    /**
     * Gets the value of the specification property.
     *
     * @return a {@link net.ihe.gazelle.goc.xmm.Specification} object.
     */
    public Specification getSpecification() {
        return specification;
    }

    /**
     * Sets the value of the specification property.
     *
     * @param value
     *     allowed object is
     *     {@link net.ihe.gazelle.goc.xmm.Specification}
     */
    public void setSpecification(Specification value) {
        this.specification = value;
    }

    /**
     * Gets the value of the constrainedElement property.
     *
     * @return a {@link java.lang.String} object.
     */
    public String getConstrainedElement() {
        return constrainedElement;
    }

    /**
     * Sets the value of the constrainedElement property.
     *
     * @param value
     *     allowed object is
     *     {@link java.lang.String}
     */
    public void setConstrainedElement(String value) {
        this.constrainedElement = value;
    }

    /**
     * Gets the value of the name property.
     *
     * @return a {@link java.lang.String} object.
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     *
     * @param value
     *     allowed object is
     *     {@link java.lang.String}
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the id property.
     *
     * @return a {@link java.lang.String} object.
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     *
     * @param value
     *     allowed object is
     *     {@link java.lang.String}
     */
    public void setId(String value) {
        this.id = value;
    }

}
